Subject: bug#78132: [email-masked]: Fails to build, long jorny to update

From: Sören Tempel <[email-masked]>
Date: Thu, 29 May 2025 01:16:40 +0200

Hello again!

As promised, here is a PR fixing it again:

	https://codeberg.org/guix/guix/pulls/124

A review would be much appreciated :-)

Cheers
Sören

Sören Tempel <[email-masked]> wrote:
> Hi!
> 
> I initially added this to the tree, I am still using it. I just noticed
> that it is broken as well after updating my channels.scm to a newer
> commit. Unfortunately, I only found your email just now in the bug
> tracker.
> 
> The problem is: angr is incompatible with the unicorn 2.1, therefore
> it broke after 0bca6c03098fba7f98b7050badd52f783b3dff0c. Newer version
> of angr still don't support unicorn 2.1 so I guess we need to package
> unicorn 2.X for angr. I can send a Codeberg PR doing that in the coming
> days.
> 
> Greetings
> Sören